import time
from lxml import etree
import decimal_precision as dp

import netsvc
import pooler
from osv import fields, osv, orm
from tools.translate import _

class account_invoice_line(osv.osv):
    _inherit = 'account.invoice.line'
    
    _columns = {        
        'discount': fields.float('Discount (%)',digits=(16,5)),    
    }
    _defaults = {    
        'discount': 0.0,    
    } 
    
    def onchange_quantity_price(self, cr, uid, ids, quantity, price_unit, discount):
        price = 0.0
        unit_price = 0.0
        res_final = {}
        cur_obj = self.pool.get('res.currency')
        if quantity != '' and price_unit != '':
            unit_price = quantity * price_unit
            if discount != '':
                price = unit_price * (1-(discount or 0.0)/100.0)
            else:
                price = unit_price
            res_final = {'value':{'price_subtotal': price}}
        return res_final
    
    def onchange_supplier_quantity_price(self, cr, uid, ids, quantity, price_unit):
        price = 0.0
        unit_price = 0.0
        res_final = {}
        cur_obj = self.pool.get('res.currency')
        if quantity != '' and price_unit != '':
            unit_price = quantity * price_unit
            res_final = {'value':{'price_subtotal': unit_price}}
        return res_final
    
account_invoice_line()
