from report import report_sxw
import pooler

class account_invoice(report_sxw.rml_parse):
    def __init__(self, cr, uid, name, context):
        super(account_invoice, self).__init__(cr, uid, name, context=context)
        self.localcontext.update({
            'combined_lines': self.combined_lines,
        })
    
    def combined_lines(self, invoice):
        invoice_obj = pooler.get_pool(self.cr.dbname).get('account.invoice')
        return invoice_obj._combined_lines(invoice)

report_sxw.report_sxw(
    'report.account.invoice.combined.lines',
    'account.invoice',
    'addons/combined_lines_account/report/account_print_invoice.rml',
    parser=account_invoice
)
