# -*- encoding: utf-8 -*-
##############################################################################
#
#    Copyright (C) 2010 Zaber Inc. All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################


{
    'name' : 'Inventory by Product Category',
    'version' : '1.1',
    'author' : 'Zaber Technologies',
    'complexity': 'easy',
    'website' : 'http://www.zaber.com',
    'category' : "Generic Modules/Inventory Control",
    'depends' : ["product_stockouts"],
    'description': """
	Start a periodical inventory by selecting all the current
    stock levels for all products in a category, along with all the components
    that are used to build them.
    """,
    'init_xml': [],
    'images' : [],
    'update_xml': ["product_view.xml", "stock_wizard.xml"],
    'demo_xml': [],
    'installable': True,
    'auto_install': False,
    'certificate': '',
}
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
