from osv import osv, fields

class product_category(osv.osv):
    _inherit = 'product.category'
    
    _columns = {
        'skip_counts': fields.boolean('Exclude from counts',
                                      help='Products in this category will ' +
                                          'not be included in periodical ' +
                                          'inventory counts that are ' +
                                          'grouped by family.')
    }
    _defaults = {'skip_counts': lambda *a: False}
product_category()
