from osv import osv

class stock_warehouse_orderpoint(osv.osv):
    _inherit = "stock.warehouse.orderpoint"
    
    def _default_warehouse_id(self, cr, uid, context=None):
        warehouse_ids = self.pool.get('stock.warehouse').search(cr, uid, [])
        if len(warehouse_ids) == 1:
            return warehouse_ids[0]
        
        return None
    
    _defaults = {'warehouse_id': _default_warehouse_id}

stock_warehouse_orderpoint()
