from osv import fields,osv,orm
from tools import config

class purchase_order(osv.osv):
    _inherit = "purchase.order"
    
    _columns = {'date_planned': fields.date(
                    'Scheduled Date',
                    help="Set all purchase order lines to this scheduled date."),
               }
    
    def set_all_date_planned(self, cr, uid, ids, context=None):
        pol_obj = self.pool.get('purchase.order.line')
        for line in self.browse(cr, uid, ids, context=context):
            for purchase_order in line.order_line:
                pol_obj.write(cr, uid, purchase_order.id, {'date_planned': line.date_planned})
        return True
    
purchase_order()
