from osv import fields,osv,orm
from tools import config

class sale_order(osv.osv):
    _inherit = 'sale.order'
    
    _columns = {'delay': fields.float(
                    'Delivery Lead Time',
                    help="Set all sales order lines to this delivery lead time "),
               }
   
    _defaults = {
                    'delay': 5,    
                }
    
    def set_all_delay(self, cr, uid, ids, context=None):
        sol_obj = self.pool.get('sale.order.line')
        for line in self.browse(cr, uid, ids, context=context):
            for sale_order in line.order_line:
                sol_obj.write(cr, uid, sale_order.id, {'delay': line.delay})
                
        return True
    
sale_order()
