# -*- encoding: utf-8 -*-
##############################################################################
#
#    Copyright (C) 2010 Zaber Inc. All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################


{
    "name" : "Purchase Customization for Zaber",
    "version" : "0.2",
    "author" : "Zaber Inc (Aki Mimoto)",
    'complexity': "easy",
    "website" : "http://www.zaber.com",
    "category" : "Generic Modules/Sales & Purchases",
    "depends" : ["purchase", "delivery_planning","zaber_custom"],
    "description": """
    Several customizations and a new report for Zaber's purchase orders.
	Add a shortened version of the notes field to a purchase order.
	Add an "attention to" field and a product revision field.
  Add a "PO PST Exemption Note" on Company that can be displayed on POs
  Add a "PST Excemption" field on PO that will append "PO PST Exemption Note" to the report
  Add a "Purchase Notes" field on partner that will carry over to POs
  Add a "PST Excemption" field on partner that will carry over to POs
    """,
    'init_xml': [],
    'images' : [],
    'update_xml': ['purchase_report.xml',
                   'purchase_view.xml',
                   'res_company_view.xml',
                   'res_partner_view.xml',
                   ],
    'demo_xml': [],
    'installable': True,
    'auto_install': False,
    'certificate': '',
}
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
