import pooler
from osv import fields, osv
import decimal_precision as dp
from tools.translate import _

class account_journal(osv.osv):
    _inherit = "account.journal"
    
    def name_get(self, cr, user, ids, context=None):
        """
        Returns a list of tupples containing id, name.
        result format: {[(id, name), (id, name), ...]}

        @param cr: A database cursor
        @param user: ID of the user currently logged in
        @param ids: list of ids for which name should be read
        @param context: context arguments, like lang, time zone

        @return: Returns a list of tupples containing id, name
        """
        result = self.browse(cr, user, ids, context=context)
        res = []
        for rs in result:
            name = "%s" % (rs.name)
            res += [(rs.id, name)]
        return res
    
account_journal()