from datetime import date, datetime
import openerp.tools as tools
from osv import osv, fields

class stock_move(osv.osv):
    _inherit = 'stock.move'
    
    def _sanity_checked (self, cr, uid, ids, field_name, arg, context):
        """ Return 'checked' if the packing list was checked, otherwise ''.
        """
        return dict([
            (move.id, 'checked' if move.picking_id.sanity_checked else '')
            for move in self.browse(cr, uid, ids, context=context)])
    
    _columns = {
        'sanity_checked': fields.function(
            _sanity_checked,
            type = 'char',
            method = True,
            string = 'Checked',
            readonly=True,
            store=True),
    }

stock_move()