import time
from lxml import etree
import decimal_precision as dp

import netsvc
import pooler
from osv import fields, osv, orm
from tools.translate import _

class sale_order(osv.osv):
    _inherit = 'sale.order'
    def onchange_partner_id(self, cr, uid, ids, part):
        if not part:
            return {'value':{'partner_invoice_id': False, 'partner_shipping_id':False, 'partner_order_id':False, 'payment_term' : False}}
        warning = {}
        title = False
        message = False
        partner = self.pool.get('res.partner').browse(cr, uid, part)
        
        if partner.admin_user_id:
            title =  _("Warning for %s") % partner.name
            message = _("Dedicated Admin is %s") % partner.admin_user_id.name
            warning = {
                    'title': title,
                    'message': message,
            }        
        result =  super(sale_order, self).onchange_partner_id(cr, uid, ids, part)

        #if result.get('warning',False):
        #    warning['title'] = title and title +' & '+ result['warning']['title'] or result['warning']['title']
        #    warning['message'] = message and message + ' ' + result['warning']['message'] or result['warning']['message']

        return {'value': result.get('value',{}), 'warning':warning}
sale_order()
