{
    "name" : "ZERP Account Move Duplicate",
    "version" : "1.0",
    "author" : "Zaber Technologies",
    "category" : "Generic Modules",
    'complexity': "easy",
    "description": """
      This helps work around some issues in the account system.

      When an account move is duplicated then the period/date changed, trying to save will throw an error if the moves are balanced. 

      If the user manually unbalances the moves, saves then changes the value back it's still possible to duplicate a move but it's inconvenient.

      This module allows the duplication of account move lines along with updating the period/dates in a straightforward manner.
""",
    'website': 'http://www.zaber.com',
    'images' : [],
    'init_xml': [],
    "depends" : ['account'],
    'update_xml': ['wizard/move_duplicate_view.xml'],
    'demo_xml': [],
    'test': [],
    'installable': True,
    'auto_install': False,
}
