# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2013 Zaber Technologies Inc. (<http://www.zaber.com>)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>
#
##############################################################################

{
    'name': 'CRM - Allow users to see Log Entries',
    'version': '1.0',
    'category': 'Customer Relationship Management', 
    'summary': 'Make it possible for non-hr admins to view a filtered communication log.',
    'description': """
        Because of the use of record rules on crm.helpdesk entries, we need to be careful not to trip those rules
        when allowing users to view the communication log. If the system notices that those entries are being
        seen, it will simply raise an Exception and allow no progress.

        IMPORTANT: You will also have to update the record rules for mail.message after applying this update
    """,
    'author': 'Zaber Technologies Inc.',
    'website': 'http://www.zaber.com',
    'depends': ['crm_helpdesk','mail','zaber_custom'],
    'data': [],
    'test': [],
    'update_xml': [
      'mail_view.xml'
    ],
    'installable': True,
    'auto_install': False,
    'application': False,
}
