# -*- encoding: utf-8 -*-
##############################################################################
#
#    Copyright (C) 2013 Zaber Inc. All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

{
    "name" : " Auto-compute Currency on Account Move Line",
    "version" : "1.0",
    "author" : "Zaber Technologies Inc.",
    'complexity': "easy",
    "website": "http://www.zaber.com",
    "category" : "Generic Modules",
    "depends" : ['account'],
    "description": """
      Automatically update the base currency when amount_currency is updated in Account Move Lines
    """,
    "init_xml" : [],
    "demo_xml" : [],
    'update_xml': [
      'account_view.xml',
      'wizard/move_recalc_view.xml',
    ],
    'installable': True,
    'auto_install': False,
    'certificate': '',
}
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
