# -*- encoding: utf-8 -*-
##############################################################################
#
#    Copyright (C) 2010 Zaber Inc. All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################


{
    "name" : "Generate Kits from Bill of Materials",
    "version" : "1.0",
    "author" : "Zaber Technologies Inc. (Aki Mimoto)",
    'complexity': "easy",
    "website" : "http://www.zaber.com",
    "category" : "Generic Modules/Inventory Control",
    "depends" : [
        "product",
        "mrp"
    ],
    "description": """
Creates a new screen located at:

    Sales
      \-> Configuration
        \-> Products
          \-> Create Partnumbers from CSV data

This screen will allow the pasting of specially crafted CSV that will update or generate partnumbers and BoMs.

We intend on using this mostly to manage XXXX-KTYY, XXXX-KYYYY type entries in the database easily.

""",
    'init_xml': [],
    'images' : [],
    "update_xml" : [
        'zerp_product_kits_view.xml',
        'zerp_product_kits_workflow.xml',
        'security/ir.model.access.csv',
    ],
    'demo_xml': [],
    'installable': True,
    'auto_install': False,
    'certificate': '',
}
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
