import datetime
from osv import fields,osv,orm
from tools import config
import netsvc

class res_partner(osv.osv):
    ''' Create the field that will determine when the partner will be
        included in the yearly sales totals
    '''
    _inherit = 'res.partner'
    _columns = {
      'sales_report_exclude': fields.boolean('Exclude from Sales Report', 
                                  help="For Marketing: If checked, partner will be excluded from yearly sales reports."),
    }
    _defaults = {
      'sales_report_exclude': lambda *a: False,
    }

res_partner()
