from osv import fields, osv
import pooler

class zerp_sanity_scheduler ( osv.osv_memory ):
    ''' Dummy ORM object to allow the scheduler to hook into and launch 
        all the sanity checks spread throughout the classes
    '''
    _name = 'zerp.sanity.scheduler'
    _columns = {
    }

    def sanity_check (self, cr, uid, data=False, context=False):
        if not context:
            context = {}
        self.pool.get('account.invoice').sanity_check(cr,uid,context)
        self.pool.get('account.move.line').sanity_check(cr,uid,context)
        self.pool.get('hr.contract').sanity_check(cr,uid,context)
        self.pool.get('mrp.bom').sanity_check(cr,uid,context)
        self.pool.get('procurement.order').sanity_check(cr,uid,context)
        self.pool.get('mrp.production').sanity_check(cr,uid,context)
        self.pool.get('product.product').sanity_check(cr,uid,context)
        self.pool.get('product.supplierinfo').sanity_check(cr,uid,context)
        self.pool.get('purchase.order').sanity_check(cr,uid,context)
        self.pool.get('stock.location.path').sanity_check(cr, uid, context)
        self.pool.get('stock.picking').sanity_check(cr, uid, context)
        self.pool.get('stock.inventory').sanity_check(cr, uid, context)
        self.pool.get('stock.move').sanity_check(cr, uid, context)
        self.pool.get('ir.cron').sanity_check(cr,uid,context)
        self.pool.get('res.partner').sanity_check(cr,uid,context)
        self.pool.get('sale.order').sanity_check(cr,uid,context)

zerp_sanity_scheduler()
