import wizard
import pooler

parameter_form = '''<?xml version="1.0"?>
<form string="Parameters" colspan="4">
    <label string="Check Database for Sanity?" colspan="4" align="0.0" />
</form>
'''

parameter_fields = {}

class wizard_sanity_check(wizard.interface):

    def _sanity_check(self, cr, uid, data, context):
        db, pool = pooler.get_db_and_pool(cr.dbname)
        cr = db.cursor()
        try:
            scheduler_obj = pool.get('zerp.sanity.scheduler')
            scheduler_obj.sanity_check(cr,uid,context)
            cr.commit()

        finally:
            cr.close()
        return {}

    states = {
        'init': {
            'actions': [],
            'result': {
                        'type':'form', 
                        'arch':parameter_form,
                        'fields':parameter_fields,
                        'state':[('end','Cancel'),('check','Check It!')]
                      }
        },
        'check': {
            'actions': [_sanity_check],
            'result': {'type': 'state', 'state':'end'}
        }
    }


wizard_sanity_check('zerp.sanity.check.execute')
