# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution	
#    Copyright (C) 2004-2012 Zaber Technologies Inc. (<http://zaber.com>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

{
    "name" : "ZERP Solr Search Hooks",
    "version" : "1.0",
    "author" : "Zaber Technologies",
    "category" : "Generic Modules",
    "website": "http://www.zaber.com",
    "complexity": "easy",
    "depends" : [
        "base",
        "board",
        "crm_helpdesk",
        "mail",
        "product",
        "purchase", # for the Purchases->Configuration->Misc menu folder
        "sale", # for the Sales->Configuration->Misc menu folder
    ],
    "init_xml" : [
        "security/ir.model.access.csv",
    ],
    "demo_xml" : [],
    "description": """
      Hooks into Solr search to create fulltext indexes on various fields for easy searching.

      Currently has hooks setup for:

      - CRM
      - Partners
      - Products

    """,
    "update_xml": [
        "crm_view.xml",
        "partner_view.xml",
        "product_view.xml",
        "scheduler_data.xml",
        "wizard/wiz_reindex_view.xml",
        "wizard/wiz_run_queue_view.xml",

    ],
    "test": [],
    "installable": True,
    "auto_install": False,
}
