import time
import tools
import netsvc
from osv import fields,osv,orm
from tools import config


class stock_warehouse(osv.osv):
    _inherit = "stock.warehouse"
    _columns = {
        'po_max_lines_unpickable': fields.integer(
                    'Max PO lines unpickable',
                    help='Maximum number of non-stockable PO lines '
                          + 'when Invoice Control is set to on Delivery',
                  ),
    }
    _defaults = {
        'po_max_lines_unpickable': lambda *a: 2,
    }

stock_warehouse()


