import sys

from osv import osv
import pooler
from report import report_sxw

class order(report_sxw.rml_parse):
    def __init__(self, cr, uid, *args, **kwargs):
        super(order, self).__init__(cr, uid, *args, **kwargs)
        self.localcontext.update({
            'combined_lines': self.combined_lines,
        })
    
    def combined_lines(self, order):
        order_obj = pooler.get_pool(self.cr.dbname).get('sale.order')
        return order_obj._combined_lines(order, shouldValidate=True)

report_sxw.report_sxw('report.sale.order.combined.lines', 
                      'sale.order', 
                      'addons/combined_lines_sale/report/sale_order.rml', 
                      parser=order, 
                      header="external")
