from osv import fields, osv

class sale_order(osv.osv):
    _name = 'sale.order'
    _inherit = 'sale.order'

    _columns = {
        # This field replaces the version in the sale module. The only change
        # is that it is no longer read-only.
        'picking_ids': fields.one2many(
            'stock.picking', 
            'sale_id', 
            'Related Picking', 
            readonly=False, # Only change needed to the base version 
            help="This is a list of picking that has been generated for this " +
                "sales order."),
    }
    
sale_order()
