import time
from lxml import etree
import decimal_precision as dp

import netsvc
import pooler
from osv import fields, osv, orm
from tools.translate import _

class account_invoice_tax(osv.osv):
    _name = "account.invoice.tax"
    _inherit = "account.invoice.tax"
    
    def onchange_account_id(self, cr, uid, ids, account_id, context=None):
        if context is None:
            context = {}
        
        if not account_id:
            return {}
        res = {}
        tax_desc = ''
        query_inv = _('select code,name from account_account where id = %s')% (account_id)
        cr.execute(query_inv)
        acc_desc = cr.fetchone()
        if acc_desc:
            tax_desc = acc_desc[0] + ' ' + acc_desc[1]
            #raise osv.except_osv(_('Warning'), _(tax_desc))
        return {'value':{'name': tax_desc}}

account_invoice_tax()