from osv import fields, osv

class res_partner(osv.osv):
    ''' Add the alternate name column to the partner database
    '''
    _inherit = 'res.partner'
    _columns = {
        'alternate_names': fields.char('Alternate Names', size=255),
    }
res_partner();


class res_partner_address(osv.osv):
    _inherit = "res.partner.address"
    '''
    Add some fields that correspond to old backdoor database fields
    '''

    _columns = {
        'notes':           fields.text('Notes', select=2),
        'where_found':     fields.char('Where Found', size=255),
    }
    
res_partner_address()
