{
    "name" : "ZERP Sanity Checker",
    "version" : "1.1",
    "author" : "Zaber Technologies",
    "category" : "Generic Modules",
    'complexity': "easy",
    "description": """
      Ensure that the database is in a state that won't cause problems. 
      
      If there are any issues found, send an email out to the manager.

        - Checks Top-level BoM Entries to ensure routing_id has been specified
""",
    'website': 'http://www.zaber.com',
    'images' : [],
    'init_xml': [],
    "depends" : ['crm',
                 'purchase',
                 'stock_location',
                 'sale', 
                 'hr',
                 'hr_contract'
                 ],
    'update_xml': ['zerp_sanity_wizard.xml',
                   'scheduler_data.xml',
                   'security/ir.model.access.csv'],
    'demo_xml': [],
    'test': [],
    'installable': True,
    'auto_install': False,
}
